SDL_HINT_MAC_PRESS_AND_HOLD(3)

NAME
SDL_HINT_MAC_PRESS_AND_HOLD - A variable controlling whether holding down a key will repeat the pressed key or open the accents menu on macOS.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_MAC_PRESS_AND_HOLD "SDL_MAC_PRESS_AND_HOLD"

DESCRIPTION
The variable can be set to the following values:

• "0": Holding a key will repeat the pressed key.

• "1": Holding a key will open the accents menu for that key. (default)

This hint needs to be set before SDL_Init().

AVAILABILITY
This hint is available since SDL 3.4.0.